﻿@model IEnumerable<Auction.Models.ApplicationUser>


@{
    ViewBag.Title = "Index";
}
<div class="panel panel-primary">
    <div class="panel-heading">
        Accounts
    </div>
    <table class="table table-striped">
        <tr>
            <th>Id</th>
            <th>Nickname</th>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Email</th>
        </tr>
        @if (Model.Count() == 0)
        {
            <tr>
                <td colspan="4" class="text-center">No account</td>
            </tr>
        }
        else
        {
            foreach (var user in Model)
            {
                <tr>
                    <td>@user.Id</td>
                    <td>@user.UserName</td>
                    <td>@user.Firstname</td>
                    <td>@user.LastName</td>
                    <td>@user.Email</td>
                    <td>
                        @using (Html.BeginForm("Delete", "Users", new { id = user.Id }))
                        {
                            @Html.ActionLink("Edit", "Edit", new { id = user.Id },
                                new { @class = "btn btn-primary btn-xs", style = "float: left; margin-right: 10px" })
                            <button class="btn btn-danger btn-xs" type="submit">Delete</button>
                        }
                    </td>
                </tr>
            }
        }
    </table>
</div>
@Html.ActionLink("Create User", "Create", null, new { @class = "btn btn-primary" })

